com.sun.pdfview.decrypt

## Class PDFAuthenticationFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.sun.pdfview.PDFParseException
        - - com.sun.pdfview.decrypt.PDFAuthenticationFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class PDFAuthenticationFailureException
    extends PDFParseException

Identifies that the supplied password was incorrect or non-existent and required.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PDFAuthenticationFailureException(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDFAuthenticationFailureException

    public PDFAuthenticationFailureException(java.lang.String message)